package de.communardo.confluence.plugins.addlink.v2;

import java.util.ArrayList;
import java.util.List;

import de.communardo.confluence.plugins.util.BandanaHelper;

public class DefaultLinkTreeService implements LinkTreeService {

    private static final String BANDANA_KEY_LINK_TREE = "immonet.link.tree";

    public void storeLinkTree(List<Link> linkTree) {
        BandanaHelper.storeViaBandana(null, BANDANA_KEY_LINK_TREE, linkTree);
    }

    public List<Link> getLinkTree() {
        Object linkTree = BandanaHelper.loadViaBandana(null, BANDANA_KEY_LINK_TREE);
        
        if (linkTree != null && linkTree instanceof List<?>) {
            return (List<Link>) linkTree;
        } else {
            return new ArrayList<Link>();
        }
    }

}
