package de.communardo.confluence.plugins.configuration;

import com.atlassian.confluence.spaces.SpaceType;
import com.atlassian.confluence.spaces.SpacesQuery;

import de.communardo.confluence.plugins.displaysubspace.HierarchyBuilder;
import de.communardo.confluence.plugins.displaysubspace.TreeNodeComparator;
import de.communardo.confluence.plugins.util.ComponentManager;

/**
 * 
 * @author Bill Martin
 * 
 */
public class ConfigureHierarchyHelper {

    /**
     * Hidden constructor
     */
    private ConfigureHierarchyHelper() {

    }

    public static HierarchyBuilder getHierarchyBuilder() {
        return new HierarchyBuilder(ComponentManager.getSpaceManager().getAllSpaces(
                SpacesQuery.newQuery().withSpaceType(SpaceType.GLOBAL).build()),
                TreeNodeComparator.CREATION);
    }
}
