package de.communardo.confluence.plugins.configuration;

import com.atlassian.bandana.BandanaManager;
import com.atlassian.confluence.setup.bandana.ConfluenceBandanaContext;

public class SubspaceConfigurationService {

    private static final String BANDANAKEY_GLOBALMENUBAR_ACTIVE = "communardo.subspace.configuration.showglobalmenubar";
    private static final String BANDANAKEY_BREADCRUMBS_ACTIVE = "communardo.subspace.configuration.breadcrumbs";
    private BandanaManager bandanaManager;

    public void setGlobalNavigationBarActive(boolean flag) {
        bandanaManager.setValue(new ConfluenceBandanaContext(), BANDANAKEY_GLOBALMENUBAR_ACTIVE, flag);
    }

    public void setBreadcrumbsActive(boolean breadcrumbsActive) {
        bandanaManager.setValue(new ConfluenceBandanaContext(), BANDANAKEY_BREADCRUMBS_ACTIVE, breadcrumbsActive);
    }

    public boolean isGlobalNavigationBarActive() {
        Object valueFromBandana = bandanaManager.getValue(new ConfluenceBandanaContext(),
                BANDANAKEY_GLOBALMENUBAR_ACTIVE);
        return valueFromBandana != null ? (Boolean) valueFromBandana : false;
    }

    public boolean isBreadcrumbsActive() {
        Object valueFromBandana = bandanaManager
                .getValue(new ConfluenceBandanaContext(), BANDANAKEY_BREADCRUMBS_ACTIVE);
        return valueFromBandana != null ? (Boolean) valueFromBandana : false;
    }

    public void setBandanaManager(BandanaManager bandanaManager) {
        this.bandanaManager = bandanaManager;
    }

}
