package de.communardo.confluence.plugins.quicksearch;

import java.util.Map;

import com.atlassian.confluence.renderer.PageContext;
import com.atlassian.confluence.renderer.radeox.macros.MacroUtils;
import com.atlassian.confluence.spaces.SpaceManager;
import com.atlassian.confluence.util.velocity.VelocityUtils;
import com.atlassian.renderer.RenderContext;
import com.atlassian.renderer.v2.RenderMode;
import com.atlassian.renderer.v2.macro.BaseMacro;
import com.atlassian.renderer.v2.macro.MacroException;

public class QuickSearchMacro extends BaseMacro {

    private static final String PARAMETER_INCLUDE_SUBSPACES = "includeSubspaces";
    private static final String PARAMETER_SPACEKEY = "spaceKey";
    private static final String DEFAULTVALUE_INCLUDE_SUBSPACES = "true";
    private static final String TEMPLATE_NAME = "communardo_plugins/quicksearch/quicksearch.vm";
    private SpaceManager spaceManager;

    public String execute(Map parameter, String body, RenderContext context) throws MacroException {

        Map<String, Object> contextMap = MacroUtils.defaultVelocityContext();

        if (parameter.get(PARAMETER_SPACEKEY) != null) {
            contextMap.put(PARAMETER_SPACEKEY, parameter.get(PARAMETER_SPACEKEY));
        } else {
            contextMap.put(PARAMETER_SPACEKEY, ((PageContext) context).getSpaceKey());
        }

        Object includeSubspacesMacroValue = parameter.get(PARAMETER_INCLUDE_SUBSPACES);
        contextMap.put(PARAMETER_INCLUDE_SUBSPACES,
                (includeSubspacesMacroValue != null ? includeSubspacesMacroValue
                        : DEFAULTVALUE_INCLUDE_SUBSPACES));
        return VelocityUtils.getRenderedTemplate(TEMPLATE_NAME, contextMap);
    }

    public RenderMode getBodyRenderMode() {
        return RenderMode.NO_RENDER;
    }

    public boolean hasBody() {
        return false;
    }

    @Override
    public boolean isInline() {
        return false;
    }

    public void setSpaceManager(SpaceManager spaceManager) {
        this.spaceManager = spaceManager;
    }

    public SpaceManager getSpaceManager() {
        return spaceManager;
    }

}
