package de.communardo.confluence.plugins.util;

import com.atlassian.confluence.setup.bandana.ConfluenceBandanaContext;
import com.atlassian.confluence.spaces.Space;

public class BandanaHelper {

    /**
     * Store data for the given space and key.
     * 
     * @param context
     *            the space for which to store the data, if <code>null</code> the data will be
     *            stored in the global context
     * @param key
     *            the key for which to store the data
     * @param data
     *            the data to store
     */
    public static void storeViaBandana(Space context, String key, Object data) {
        ComponentManager.getBandanaManager().setValue(new ConfluenceBandanaContext(context), key,
                data);
    }

    /**
     * Load data for the given space and key.
     * 
     * @param key
     *            the data key
     * @param context
     *            the space the data is stored for, if <code>null</code> the data will loaded from
     *            the global context
     * @return the data for the content entity
     */
    public static Object loadViaBandana(Space context, String key) {
        return ComponentManager.getBandanaManager().getValue(new ConfluenceBandanaContext(context),
                key);
    }

}
