AJS.toInit(	function() {
	initSubspacesQuickSearch()
	initSubspacesSearchCheckboxToggle();
});

function initSubspacesQuickSearch() {
 
	jQuery(".subspaces-quicksearch .subspaces-quick-search-query").each(function(){
		
		var quickSearchQuery = jQuery(this);
		
		// here we do the little placeholder stuff
		quickSearchQuery.focus(function () {
			if (jQuery(this).hasClass('placeholded')) {
				jQuery(this).val("");
				jQuery(this).removeClass("placeholded");
			}
		});
		
		quickSearchQuery.change(function () {
			if (jQuery(this).val() == "") {
				jQuery(this).val(jQuery(this).attr('placeholder'));
				jQuery(this).addClass("placeholded");
			}
		});
		
		/**
	     * function to add a tooltip showing the space name to each drop down list item
	     */
	    AJS.subspacequicksearch = AJS.quicksearch || {};
	    AJS.subspacequicksearch.dropdownPostprocess = function (list) {
	         jQuery("a span", list).each(function () {
	            var a = jQuery(this);
	            // get the hidden space name property from the span
	            var spaceName = AJS.dropDown.getAdditionalPropertyValue(a, "spaceName") || "";

	            // we need to go through html node creation so that all encoded symbols(like &gt;) are displayed correctly
	            if (spaceName) {
	                spaceName = " (" + AJS("i").html(spaceName).text() + ")";
	            }

	            a.attr("title", a.text() + spaceName);
	        });
	    };
		
		/**
		 * Append the drop down to the form element with the class quick-nav-drop-down
		 */
	    var subspacequickNavPlacement = function (input, dropDown) {
	        input.closest("form").find(".quick-nav-drop-down").append(dropDown);
	    };
		
		var subspacesSpacekey = quickSearchQuery.parent().children('.subspacesSpaceKey').val();
		var includeSubspaces = quickSearchQuery.parent().children('.includeSubspaces').val();
		
		quickSearchQuery.subspacesquicksearch("/communardo_plugins/quicksearch/subspacesQuickSearch.action"+
				"?spaceKey="+subspacesSpacekey+
				"&includeSubspaces="+includeSubspaces, null, {
			dropdownPostprocess : AJS.subspacequicksearch.dropdownPostprocess,
			dropdownPlacement : subspacequickNavPlacement
		});
	});

	
   
}


function initSubspacesSearchCheckboxToggle() {
	var topLevelSpaceCheckboxes = jQuery('#topspaces_holder .checkbox_topLevelSpaces');
	topLevelSpaceCheckboxes.click(function() {
		
		//now the checkboxes can be used like radiobuttons
		if(jQuery(this).is(':checked')) {
			topLevelSpaceCheckboxes.attr('checked', false);
			jQuery(this).attr('checked', true);
		}
		enableDisableSubspacesSearchElements();
	});
	enableDisableSubspacesSearchElements();
}

function enableDisableSubspacesSearchElements() {
	
	//disable/enable the include subspaces and spaces input element
	if(jQuery('#topspaces_holder .checkbox_topLevelSpaces').is(':checked')) {
		jQuery('#search-filter-by-space').attr("disabled", true);
		jQuery('#checkbox_include_subspaces').attr("disabled", true);
	}
	else {
		jQuery('#search-filter-by-space').attr("disabled", false);
		jQuery('#checkbox_include_subspaces').attr("disabled", false);
	}
}